# IVA

**IVA (Interactive Virtual Assistant)** is an AI-based middleware that communicates with HomeAssistant in order to retrieve values from different sensors.

To run this project, first create a ```.env``` file containing the following variables:
- **OPENAI_API_KEY**: a OpenAI API key
- **HA_URL**: the URL of your HomeAssistant app
- **HA_API_KEY**: your HomeAssistant API key
- **DB_URL**: mysql+pymysql://<username>:<password>@<host>:<port>/<database>

Build the Docker image using the following command: 
```docker build -t <image_name> .```

Then, create a container using: 
```docker run --name <container_name> -p 7860:7860 -it <image_name>```

